Attribute VB_Name = "modScreenRes"
  
  ' All Variables MUST be Declared
  Option Explicit
          
  Public Declare Function GetDeviceCaps Lib "gdi32" _
    (ByVal hdc As Long, _
    ByVal nIndex As Long) As Long

  Public Declare Function ChangeDisplaySettings Lib "user32" _
    Alias "ChangeDisplaySettingsA" _
    (lpDevMode As Any, _
    ByVal dwflags As Long) As Long
          
  Public Const LOGPIXELSX As Long = 88
  Public Const LOGPIXELSY As Long = 90
  Public Const BITSPIXEL As Long = 12
  Public Const HORZRES As Long = 8
  Public Const VERTRES As Long = 10

  Public Const CCDEVICENAME As Long = 32
  Public Const CCFORMNAME As Long = 32

  Public Const DM_BITSPERPEL As Long = &H40000
  Public Const DM_PELSWIDTH As Long = &H80000
  Public Const DM_PELSHEIGHT As Long = &H100000
  Public Const DM_DISPLAYFLAGS As Long = &H200000

  Public Const CDS_UPDATEREGISTRY As Long = &H1
  Public Const CDS_TEST As Long = &H2
  Public Const CDS_FULLSCREEN As Long = &H4
  Public Const CDS_GLOBAL As Long = &H8
  Public Const CDS_SET_PRIMARY As Long = &H10
  Public Const CDS_NORESET As Long = &H10000000
  Public Const CDS_SETRECT As Long = &H20000000
  Public Const CDS_RESET As Long = &H40000000
  Public Const CDS_FORCE As Long = &H80000000

  Public Type DEVMODE
    dmDeviceName      As String * CCDEVICENAME
    dmSpecVersion     As Integer
    dmDriverVersion   As Integer
    dmSize            As Integer
    dmDriverExtra     As Integer
    dmFields          As Long
    dmOrientation     As Integer
    dmPaperSize       As Integer
    dmPaperLength     As Integer
    dmPaperWidth      As Integer
    dmScale           As Integer
    dmCopies          As Integer
    dmDefaultSource   As Integer
    dmPrintQuality    As Integer
    dmColor           As Integer
    dmDuplex          As Integer
    dmYResolution     As Integer
    dmTTOption        As Integer
    dmCollate         As Integer
    dmFormName        As String * CCFORMNAME
    dmUnusedPadding   As Integer
    dmBitsPerPel      As Integer
    dmPelsWidth       As Long
    dmPelsHeight      As Long
    dmDisplayFlags    As Long
    dmDisplayFrequency As Long
  End Type
